#include "coefficients.hpp"
#include "polygon.hpp"

int main(){
  try{
    Polygon P("u200l200d200r200");
    cout<<P.get_fp()<<endl;
    /*cout<<"Size : "<<P.size()<<endl;
    cout<<"Graph size : "<<P.graph_size()<<endl;
    for(size_t i=0;i<P.graph_size();++i){
      for(size_t j=0;j<P.graph_size();++j){
        cout<<P.get_coeff_B(i,j)<<' ';
      }
      cout<<endl;
    }
    cout<<endl;
    for(size_t i=0;i<P.graph_size();++i){
      for(size_t j=0;j<P.graph_size();++j){
        cout<<P.get_coeff_C(i,j)<<' ';
      }
      cout<<endl;
    }*/
  }
  catch(const Error& error){
    cerr<<error.msg<<endl;
  }


}
